#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/ledit
LEDIT_LIBDIR = $(CURDIR)/debian/libledit-ocaml-dev/$(OCAML_STDLIB_DIR)/ledit

%:
	dh $@ --with ocaml,bash_completion

override_dh_auto_build:
	$(MAKE) CUSTOM=
	if [ $(OCAML_OPT_ARCH) ]; then $(MAKE) opt; fi

override_dh_auto_install-indep:
	$(MAKE) install BINDIR=$(DESTDIR)/usr/bin MANDIR=$(DESTDIR)/usr/share/man/man1

override_dh_auto_install-arch:
	mkdir -p $(LEDIT_LIBDIR)
	$(MAKE) install-lib LEDIT_LIBDIR=$(LEDIT_LIBDIR)
